#
# spec file for package php7-phpunit7_0
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php7-phpunit7_0
Version:        7.0.2
Release:        lp150.1.1
Summary:        Testing framework for PHP
License:        BSD-2-Clause
Group:          Development/Tools/Building
URL:            https://phpunit.de/
Source:         https://phar.phpunit.de/phpunit-%{version}.phar
Source1:        https://raw.githubusercontent.com/sebastianbergmann/phpunit/%{version}/README.md
Source2:        https://raw.githubusercontent.com/sebastianbergmann/phpunit/%{version}/LICENSE
Requires:       php7 <= 7.4.0
Requires:       php7 >= 7.1.0
Requires:       php7-dom
Requires:       php7-phar
Provides:       php-phpunit = %{version}
Obsoletes:      php-phpunit < %{version}
BuildArch:      noarch

%description
PHPUnit is a programmer-oriented testing framework for PHP. It is an instance of the xUnit architecture for unit testing frameworks.

%prep
%setup -q -c -T

%build
# empty section

%install
# Install compiled phar file
install -d -m 0750 %{buildroot}%{_bindir}
install -m 0755 %{SOURCE0} %{buildroot}%{_bindir}/phpunit

# Install documents
install -d -m 0750 %{buildroot}%{_docdir}/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_docdir}/%{name}
install -m 0644 %{SOURCE2} %{buildroot}%{_docdir}/%{name}

%files
%{_bindir}/phpunit
%{_docdir}/%{name}

%changelog
* Thu Mar  1 2018 jweberhofer@weberhofer.at
- Renamed package to php7-phpunit7_0
- Updated dependencies
- Updated package to release 7.0.2
* Fri Nov  3 2017 jweberhofer@weberhofer.at
- Initial release for php7-phpunit: This version packages the provided PHAR
  file. When we are capable to package vendor files the packaging process
  should be changes to package the different libraries seperately.
